%define name		wmWeather
%define version		1.31
%define release		1

%define Prefix		/usr/X11R6
%define builddir	$RPM_BUILD_DIR/%{name}-%{version}

Summary: Applet that displays the weather.

Name: %{name}
Version: %{version}
Release: %{release}
URL: http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
Group: X11/Utilities
Copyright: GPL
Source0: http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: perl wget

%description 
wmWeather is a WindowMaker dockapp that monitors and displays the current
local weather conditions (temperature, Dew Point, Pressure, Humidity
and Wind direction and speed). The user needs to specify a 4-character
`METAR station identifier code'. (The standardized METAR station
designations and current weather reports are designed for use by the
aviation community. Since most major cities have at least one airport,
there is usually one or more METAR stations in a given city.) You
(obviously) need to be connected to the internet and you also need to
have wget installed (most linux systems should have it already).
wmWeather will then attempt to download the latest METAR report for
the station of your choice (from the National Weather Sevice run by NOAA).
To find out more about the METAR/TAF system and to find the METAR code
for your location, look at
http://www.nws.noaa.gov/oso/oso1/oso12/metar.htm
for NOAA's "National Weather Service METAR/TAF Information" page.


%prep

%setup

%build
cd Src
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
cd Src
strip wmWeather
mkdir -p $RPM_BUILD_ROOT%{Prefix}/bin $RPM_BUILD_ROOT%{Prefix}/man/man1
make  DESTDIR=$RPM_BUILD_ROOT%{Prefix} install

%files
%doc HINTS BUGS CHANGES COPYING
%attr(755,root,root) /usr/X11R6/bin/wmWeather
%attr(755,root,root) /usr/X11R6/bin/GrabWeather
%attr(644,root,root) /usr/X11R6/man/man1/wmWeather.1

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}

%changelog
* Wed May 5 1999 Petr Mosnicka <m@i.cz>
 [1.31-1]
 - upgraded to new version

* Sun Apr 18 1999 Thomas Ribbrock <emgaron@gmx.net>
 [1.30.1-1]
 - upgraded to new version
 - cleaned up spec file
 - added more description

* Sat Feb 13 1999 Rod Cordova <rcordova@ethernet.org>
 [1.23-1]
 - first release as rpm

